Skip to main content
GET
/
organisations
List all organisations
curl --request GET \
  --url https://{base_url}/api/v1/organisations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{base_url}/api/v1/organisations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{base_url}/api/v1/organisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "2089_9531",
    "address": {
      "id": "",
      "city": "Auckland",
      "country": "",
      "line1": "182 Apirana Avenue",
      "line2": "",
      "postalCode": 1072,
      "state": "Auckland",
      "suburb": "Glen Innes"
    },
    "departments": [
      {
        "id": "2784_118",
        "costCentreCode": "",
        "manager": "",
        "name": "Bakery",
        "payRollCode": "",
        "roles": [
          {
            "id": "2213_6820",
            "costCentreCode": "",
            "defaultActivity": "2760_183",
            "name": "Assistant Manager"
          },
          {
            "id": "2213_6559",
            "costCentreCode": "",
            "defaultActivity": "2760_183",
            "name": "Retail Assistant"
          }
        ],
        "workDayFinishTime": "",
        "workDayStartTime": ""
      },
      {
        "id": "2784_121",
        "costCentreCode": "",
        "manager": "",
        "name": "Storeroom",
        "payRollCode": "",
        "roles": [],
        "workDayFinishTime": "",
        "workDayStartTime": ""
      }
    ],
    "name": "Acme Supermarket",
    "roles": [
      {
        "id": "2213_6820",
        "costCentreCode": "",
        "defaultActivity": "2760_183",
        "name": "Assistant Manager"
      },
      {
        "id": "2213_6559",
        "costCentreCode": "",
        "defaultActivity": "2760_183",
        "name": "Retail Assistant"
      }
    ],
    "shifts": [
      {
        "id": "2786_12120",
        "code": "AM",
        "finishTime": "14:00",
        "name": "Morning",
        "startTime": "06:00"
      },
      {
        "id": "2786_12121",
        "code": "PM",
        "finishTime": "22:00",
        "name": "Afternoon",
        "startTime": "14:00"
      }
    ],
    "workDayFinishTime": "22:00",
    "workDayStartTime": "06:00"
  }
]

Authorizations

Authorization
string
header
required

Access token obtained from /oauth/token. Pass as Authorization: Bearer {token}

Query Parameters

organisation_id
string

Returns a specific organisation under your head office by its organisation ID.

Response

A list of organisations

id
string

The unique identifier for the organisation

Example:

"2089_9531"

address
object
departments
object[]

A list of departments within this organisation

name
string

The display name of the organisation

Example:

"Acme Supermarket"

roles
object[]

A list of all roles available across this organisation

shifts
object[]

A list of shift templates defined for this organisation

workDayFinishTime
string

The default work day finish time for the organisation in HH:MM format

Example:

"22:00"

workDayStartTime
string

The default work day start time for the organisation in HH:MM format

Example:

"06:00"